%global __provides_exclude_from ^%{_libdir}/groonga/plugins/normalizers/mysql\\.so$

Name:		groonga-normalizer-mysql
Version:	1.0.6
Release:	1%{?dist}
Summary:	MySQL compatible normalizer plugin for Groonga

Group:		Applications/Text
License:	LGPLv2
URL:		http://groonga.org/
Source0:	http://packages.groonga.org/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	groonga-devel >= 3.0.3
Requires:	groonga-libs >= 3.0.3
# atomic primitives implemented only for x86
ExclusiveArch:	%{ix86} x86_64

%description
This package provides MySQL compatible normalizer plugin.
You can use NormalizerMySQLGeneralCI and NormalizerMySQLUnicodeCI as normalizer.

%package devel
Summary:        Development files for groonga-normalizer-mysql
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides development files for groonga-normalizer-mysql.

%prep
%setup -q

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/groonga/plugins/*/*.la
install -m 444 -p COPYING AUTHORS README $RPM_BUILD_ROOT%{_docdir}/%{name}

%files
%{_libdir}/groonga/plugins/normalizers/mysql.so
%{_docdir}/%{name}/*

%files devel
%{_libdir}/pkgconfig/groonga-normalizer-mysql.pc

%changelog
* Wed Feb 19 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.6-1
- new upstream release.

* Wed Aug 7 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-4
- install unlisted doc files explicitly.
- add comment about ExclusiveArch

* Tue Jul 30 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-3
- remove needless directory ownership about plugin directory.
- use fully versioned dependency to base package.

* Mon Jul 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-2
- remove needless continuous line from configure section.

* Sat Jun 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.5-1
- new upstream release.

* Wed May 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.4-1
- new upstream release.

* Mon Apr 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.3-1
- new upstream release.
- Reduce required packages. groonga-libs is only required.
- Require groonga 3.0.3 or later.
- Split development files into -devel package.

* Fri Mar 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.2-0
- new upstream release.

* Thu Feb 28 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.1-1
- new upstream release

* Tue Jan 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 1.0.0-1
- initial packaging for Fedora
